Bug 883084 - CVE-2012-5511 CVE-2012-6333 kernel: xen: several HVM operations do not validate the range of their inputs [fedora-all]
CVE-2012-5511 CVE-2012-6333 kernel: xen: several HVM operations do not valida...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5511/CVE-2012-6333
  Show dependency treegraph
 
Reported: 2012-12-03 13:09 EST by Petr Matousek
Modified: 2013-01-21 04:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:14:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-12-03 13:09:58 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Petr Matousek 2012-12-03 13:10:07 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=877365,883084
Comment 2 Fedora Update System 2012-12-03 18:36:06 EST
xen-4.2.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.0-6.fc18
Comment 3 Fedora Update System 2012-12-04 16:10:36 EST
Package xen-4.2.0-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.2.0-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19652/xen-4.2.0-6.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-04 16:41:25 EST
xen-4.1.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.3-7.fc17
Comment 5 Fedora Update System 2012-12-04 17:33:48 EST
xen-4.1.3-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xen-4.1.3-6.fc16
Comment 6 Fedora Update System 2012-12-11 19:15:02 EST
xen-4.2.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-12-13 00:59:23 EST
xen-4.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-15 12:54:56 EST
xen-4.1.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Petr Matousek 2013-01-17 08:11:12 EST
Hello, Michael.

There is a new update for Xen Security Advisory CVE-2012-5511,CVE-2012-6333 / XSA-27 because the supplied patch for 4.1 was found to contain a bug [1]. Incremental fix can be found at [2].

  [1] http://www.openwall.com/lists/oss-security/2013/01/17/10
  [2] http://lists.xen.org/archives/html/xen-devel/2013-01/msg01193.html

Can you please check if it does apply to our xen-4.1.x Fedora updates?

Thank you,
--
Petr Matousek / Red Hat Security Response Team
Comment 10 Michael Young 2013-01-19 14:44:15 EST
(In reply to comment #9)
> Hello, Michael.
> 
> There is a new update for Xen Security Advisory CVE-2012-5511,CVE-2012-6333
> / XSA-27 because the supplied patch for 4.1 was found to contain a bug [1].
> Incremental fix can be found at [2].
> 
>   [1] http://www.openwall.com/lists/oss-security/2013/01/17/10
>   [2] http://lists.xen.org/archives/html/xen-devel/2013-01/msg01193.html
> 
> Can you please check if it does apply to our xen-4.1.x Fedora updates?

I have added the incremental fix in the xen-4.1.7-3 F16 and F17 builds. I believe the original version of the patch still closed the security hole, but it didn't do all it was supposed to do.
Comment 11 Petr Matousek 2013-01-21 04:23:49 EST
(In reply to comment #10)
> (In reply to comment #9)
> > Hello, Michael.
> > 
> > There is a new update for Xen Security Advisory CVE-2012-5511,CVE-2012-6333
> > / XSA-27 because the supplied patch for 4.1 was found to contain a bug [1].
> > Incremental fix can be found at [2].
> > 
> >   [1] http://www.openwall.com/lists/oss-security/2013/01/17/10
> >   [2] http://lists.xen.org/archives/html/xen-devel/2013-01/msg01193.html
> > 
> > Can you please check if it does apply to our xen-4.1.x Fedora updates?
> 
> I have added the incremental fix in the xen-4.1.7-3 F16 and F17 builds. I
> believe the original version of the patch still closed the security hole,
> but it didn't do all it was supposed to do.

Yes, that was my understanding too, otherwise new CVE and advisory is needed. Thanks Michael!

Note You need to log in before you can comment on or make changes to this bug.